package fi.helsinki.cs.seco.onki.index;

import java.util.Collection;

/**
 * Represents a result set returned by the alphabetical index.
 */

public class IndexResults {
	
	private IndexResultsMetadata metadata;
	private Collection<IndexResult> results;
	
	public IndexResults(IndexResultsMetadata metadata, Collection<IndexResult> results) {
		this.metadata = metadata;
		this.results = results;
	}
	
    /**
	 * Get metadata about the query.  
	 */
	
	public IndexResultsMetadata getMetadata() {
		return this.metadata;
	}
	
    /**
	 * Get the results.
	 */
	
	public Collection<IndexResult> getResults() {
		return this.results;
	}
}
