package fi.helsinki.cs.seco.onki.service;

/**
 * Represents a base RDF statement with predicate.
 */

public class BaseStatement implements IBaseStatement {
	
	private String predicateUri;
	private String predicateLabel;
	
	public BaseStatement(String predicateUri, String predicateLabel) {
		this.predicateUri = predicateUri;
		this.predicateLabel = predicateLabel;
	}
	
	public String getPredicateUri() {
		return this.predicateUri;
	}
	public String getPredicateLabel() {
		return this.predicateLabel;
	}
}