package fi.helsinki.cs.seco.onki.servlet;

import org.json.JSONArray;
import org.restlet.Context;
import org.restlet.data.MediaType;
import org.restlet.data.Request;
import org.restlet.data.Response;
import org.restlet.ext.json.JsonRepresentation;
import org.restlet.resource.Representation;
import org.restlet.resource.ResourceException;
import org.restlet.resource.Variant;

/**
 * Represents a ping response.
 */

public class PingResource extends BaseResource {
	
	public PingResource(Context context, Request request, Response response) {  
		super(context, request, response);  
		
		getVariants().add(new Variant(MediaType.APPLICATION_JSON));
	}
	
	public Representation represent(Variant variant) throws ResourceException {
		JSONArray array = new JSONArray();
		array.put("1");
		JsonRepresentation representation = new JsonRepresentation(array);
		representation.setModificationDate(getLastModified());
		// prevent caching
		representation.setExpirationDate(getLastModified());
		this.finalize();
		return representation;
	}
}