package fi.helsinki.cs.seco.onki.utils;

import org.apache.commons.lang.StringEscapeUtils;

/**
 * Encodes strings for XHTML representation.
 */

public class Encoder {

	public static String escapeXml(String string) {
		// IE can't handle XML entity "&apos;" (no proper support for XHTML), so it is unescaped
		return StringEscapeUtils.escapeXml(string).replace("&apos;", "'");
	}
}