package fi.seco.semweb.infrastructure.jena;

import java.util.LinkedList;
import java.util.List;

import javax.sql.DataSource;

public class JenaComboModelSource extends JenaDBModelSource implements IJenaUrlModelSource {

	private List<String> urls = new LinkedList<String>();
	//private String format;

	public JenaComboModelSource() { }

	//public JenaComboModelSource(DataSource ds,String key,String type, String model, List<String> urls, String format) {
	public JenaComboModelSource(DataSource ds,String key,String type, String model, List<String> urls) {
		super(ds,key,type,model);
		this.urls=urls;
		//this.format=format;
	}

	/**
	 * @return Returns the uri.
	 */
	public List<String> getUrls() {
		return urls;
	}
	/**
	 * @param uri The uri to set.
	 */
	public void addUrl(String url) {
		this.urls.add(url);
	}

	@Override
	public String toString() {
		return super.toString()+", urls: "+getUrls();
	}

	public void setUrl(String url) {
		this.urls.add(url);
	}

	public void setUrls(List<String> urls) {
		this.urls=urls;
	}
	/**
	 * @return Returns the format.
	 */

	/*public String getFormat() {
		return format;
	}*/
	/**
	 * @param key The format to set.
	 */

	/*public void setFormat(String format) {
		this.format = format;
	}*/
}