package fi.seco.semweb.util.collection;

import java.util.Iterator;

import fi.seco.semweb.util.iterator.AMappingIterator;

public abstract class AMappingIterable<O,E> implements Iterable<E> {

	Iterable<? extends O> col;

	public AMappingIterable(Iterable<? extends O> col) {
		this.col=col;
	}

	public Iterator<E> iterator() {
		return new AMappingIterator<O,E>(col.iterator()) {

			@Override
			public E map(O arg0) {
				return AMappingIterable.this.map(arg0);
			}

		};
	}

	public abstract E map(O a);

}
