package fi.seco.semweb.util.iterator;

import java.util.Iterator;

public class IteratorToIIterableIterator<E> implements IIterableIterator<E> {
	
	private Iterator<E> iter;
	
	public IteratorToIIterableIterator(Iterator<E> iter) {
		this.iter=iter;
	}
	
	public Iterator<E> iterator() {
		return iter;
	}

	public boolean hasNext() {
		return iter.hasNext();
	}

	public E next() {
		return iter.next();
	}

	public void remove() {
		iter.remove();
	}

}
