package fi.seco.semweb.util.iterator.primitive;

import java.util.Iterator;

import org.apache.commons.collections.primitives.LongIterator;

public abstract class ALongToObjectMappingIterator<E> implements Iterator<E> {

	LongIterator iter;
	
	public ALongToObjectMappingIterator(LongIterator iter) {
		this.iter=iter;
	}

	public boolean hasNext() {
		return iter.hasNext();
	}

	public E next() {
		return map(iter.next());
	}

	public void remove() {
		iter.remove();
	}

	public abstract E map(long l);
}
