package fi.seco.semweb.view.js.widget.tree.model;

import fi.seco.semweb.service.indexing.tree.model.IndexedNode;
import fi.seco.semweb.service.indexing.tree.model.SearchableCategoryInfo;

public class JSMatch {

	private String nodeWidgetId;
	private String explanation;

	public JSMatch(IndexedNode<SearchableCategoryInfo> a, String treeId, String text,String prefLang) {
		this.explanation = a.getInfo().getLabel(text, prefLang);
		nodeWidgetId = "tn_"+treeId+"_"+a.getNodeId();
	}

	public String getExplanation() {
		return "["+explanation+"]";
	}

	public String getNodeWidgetId() {
		return nodeWidgetId;
	}

}
