package fi.seco.semweb.view.js.widget.tree.model;

import java.util.ArrayList;
import java.util.List;

import fi.seco.semweb.service.indexing.tree.model.IndexedNode;
import fi.seco.semweb.service.indexing.tree.model.SearchableCategoryInfo;

public class SearchableJSITreeNode extends SearchableJSINode {
	private List<JSINode<SearchableCategoryInfo>> children = new ArrayList<JSINode<SearchableCategoryInfo>>();

	public SearchableJSITreeNode(IndexedNode<SearchableCategoryInfo> node, String widgetId, String title, int count, boolean isFolder) {
		super(node,widgetId,title,count,isFolder);
	}

	public List<JSINode<SearchableCategoryInfo>> getChildNodes() {
		return children;
	}

	public void addChild(JSINode<SearchableCategoryInfo> child) {
		children.add(child);
	}

}
