package fi.helsinki.cs.seco.onki.logic;

import java.util.Collection;
import java.util.Map;

/**
 * For generating weighted mapping statements from complex RDF structures.
 * Used e.g. in SAPO ontology. 
 */

public interface IMappingFiddler {

	public Map<OnkiResource, Collection<OnkiConceptMapping>> findMappings(OnkiResource ores);
}