package fi.helsinki.cs.seco.onki.service;

import fi.helsinki.cs.seco.onki.service.BaseStatement;

/**
 * Class supporting both resource and literal statements (object and datatype properties).
 */

public class Statement extends BaseStatement {

	private String value;
	private String lang;
	private String uri;
	private String label;
	
	public Statement(String value, String lang, String uri, String label, String predicateUri, String predicateLabel) {
		super(predicateUri, predicateLabel);
		this.value = value;
		this.lang = lang;
		this.uri = uri;
		this.label = label;
	}

    /**
	 * Getters and setters.
	 */
	
	public String getValue() {
		return value;
	}
	
	public void setValue(String value) {
		this.value = value;
	}
	
	public String getLang() {
		return lang;
	}
	
	public void setLang(String lang) {
		this.lang = lang;
	}
	
	public String getUri() {
		return uri;
	}
	
	public void setUri(String uri) {
		this.uri = uri;
	}
	
	public String getLabel() {
		return label;
	}
	
	public void setLabel(String label) {
		this.label = label;
	}
}