package fi.helsinki.cs.seco.onki.servlet;

import fi.helsinki.cs.seco.onki.service.BaseStatement;

/**
 * Represents a literal statement.
 */

public class LiteralStatement extends BaseStatement {

	private String value;
	private String lang;
	
	public LiteralStatement(String value, String lang, String predicateUri, String predicateLabel) {
		super(predicateUri, predicateLabel);
		this.value = value;
		this.lang = lang;
	}

	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}
	public String getLang() {
		return lang;
	}
	public void setLang(String lang) {
		this.lang = lang;
	}
}