package fi.seco.semweb.infrastructure.hsqldb;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.hsqldb.DatabaseManager;
import org.springframework.beans.factory.DisposableBean;

public class HSQLDBShutdownListener implements DisposableBean {

	private static Log log = LogFactory.getLog(HSQLDBShutdownListener.class);
	
	public void destroy() throws Exception {
		log.info("Shutting down HSQLDB database");
		DatabaseManager.closeDatabases(0);
		DatabaseManager.closeDatabases(0);
		log.info("Done.");
		DatabaseManager.getTimer().shutDown();
	}

}
