package fi.seco.semweb.service.poka.frame;
/**
 * Tulee palauttamaan framesta verbeihin liittyvn kontekstitiedon.
 */
import java.util.Iterator;

import com.hp.hpl.jena.rdf.model.Literal;
import com.hp.hpl.jena.rdf.model.Model;
import com.hp.hpl.jena.rdf.model.Resource;
import com.hp.hpl.jena.rdql.Query;
import com.hp.hpl.jena.rdql.QueryEngine;
import com.hp.hpl.jena.rdql.QueryExecution;
import com.hp.hpl.jena.rdql.QueryResults;
import com.hp.hpl.jena.rdql.ResultBinding;

import fi.seco.semweb.service.poka.util.TermoQuery;

//TODO: tee valmiiksi kun tarvitaan pttelyit
//framerakenteesta, vastaava kuin YsoQuery & kaverit

public class FrameVerbQuery extends TermoQuery {

	public FrameVerbQuery(Model m) {
		super(m);
	}

	
/**
 * Palauttaa verbien ylluokan urin. TODO: vaihda joskus labeliksi kun 
 * labeleita lytyy
 */
	public String getUpper(String uri) {
		String qString =
        "SELECT ?y " +
        "WHERE (<"+uri+">,<rdfs:subClassOf>,?x) " +
//        "      (?x,<oma:verbLabel>,?y) " +
        "USING rdfs FOR <http://www.w3.org/2000/01/rdf-schema#> " +
        "       oma FOR <http://www.seco.hut.fi/frame/ns/2006/05/alm#>";
			Query q = new Query(qString);
		q.setSource(m);
		QueryExecution qe = new QueryEngine(q);
		QueryResults results = qe.exec();
			String result = "";
		for(Iterator i = results;i.hasNext();) {
			ResultBinding res = (ResultBinding)i.next();
			//result += ((Literal)res.get("y")).getString() +" | ";
			result += ((Resource)res.get("x")).getLocalName();
		}
/*
		if(result.length() >=3) {
			result = result.substring(0,result.length()-3);
		}
 */
		return result;
	}

	
}
