/**
 * Yksittäisen löydetyn resurssin tiedon tallettava container
 */

package fi.seco.semweb.service.poka.util;

import java.util.ArrayList;

public class PokaResource {
	
	private String uri; //toisteista tietoa, eikai haitanne?
	private int count; //frekvenssilaskuri
			
	private ArrayList<Location> location; 
	
	public PokaResource(String uri) {
		this.uri = uri;
		this.count = 1;
		this.location = new ArrayList<Location>();
	}
	
	public String getUri() {
		return this.uri;
	}
	public void add() {
		this.count+=1;
	}
	public int getCount() {
		return this.count;
	}
	public void addLocation(int start, int end) {
		location.add(new Location(start, end));
	}
	public ArrayList<Location> getLocations() {
		return this.location;
	}

}