package fi.seco.semweb.service.poka.util.debug;

import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

/**
 * Staattisia apumetodeja dom-puun debuggaukseen
 * @author alm
 *
 */

public class DomDebugger {

	public static String printNode(Node n) {
		if(n.hasChildNodes()) {
			String nodename = n.getNodeName();
			String result = "<"+nodename+">\n";
			NodeList nodes = n.getChildNodes();
			int length = nodes.getLength();
			for(int i=0; i < length;i++) {
				result += printNode(nodes.item(i));
			}
			return result+"</"+nodename+">\n";
		} else {
			String nodename = n.getNodeName()+"\n";
			return n.getTextContent();
				   
		}
	}
}
