package fi.seco.semweb.util.collection.primitive;

import java.util.ArrayList;
import java.util.Collection;

import org.apache.commons.collections.primitives.LongIterator;

import fi.seco.semweb.util.collection.EncapsulatingCollection;

public abstract class ALongIteratorToObjectMappingCollection<E> extends EncapsulatingCollection<E> {

	public ALongIteratorToObjectMappingCollection(LongIterator li) {
		this(li,new ArrayList<E>());
	}
	
	public ALongIteratorToObjectMappingCollection(LongIterator li,Collection<E> col) {
		super(col);
		for (;li.hasNext();) {
			col.add(map(li.next()));
		}
	}
	
	public abstract E map(long l);
}
