package fi.seco.semweb.util.collection.primitive;

import java.util.AbstractList;

public class IntArrayToList extends AbstractList<Integer> {

	int[] array;
	
	public IntArrayToList(int[] array) {
		this.array=array;
	}
	
	@Override
	public Integer get(int index) {
		return array[index];
	}
	
	@Override
	public Integer set(int index, Integer object) {
		int tmp = array[index];
		array[index]=object;
		return tmp;
	}

	@Override
	public int size() {
		return array.length;
	}

}
