package fi.seco.semweb.view.js.widget.tree.model;

import java.util.ArrayList;
import java.util.Collection;
import java.util.LinkedHashMap;

public class JSMatchResponse {

	private Collection<JSMatch> matches = new ArrayList<JSMatch>();
	private LinkedHashMap <String,Collection<SearchableJSINode>> treesToAdd = new LinkedHashMap<String,Collection<SearchableJSINode>>();

	public void addMatch(JSMatch match) {
		matches.add(match);
	}

	public void addTree(String parentId, SearchableJSINode root) {
		Collection<SearchableJSINode> adds;
		if ((adds = treesToAdd.get(parentId))==null) {
			adds = new ArrayList<SearchableJSINode>();
			treesToAdd.put(parentId,adds);
		}
		adds.add(root);
	}

	public Collection<JSMatch> getMatches() {
		return matches;
	}

	public LinkedHashMap<String,Collection<SearchableJSINode>> getTreesToAdd() {
		return treesToAdd;
	}
}
